#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ECloudStoragePersistState {
    Persisted = 0,
    Forgotten = 1,
    Deleted = 2,
}

impl ECloudStoragePersistState {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Persisted as i32 => Some(Self::Persisted),
            x if x == Self::Forgotten as i32 => Some(Self::Forgotten),
            x if x == Self::Deleted as i32 => Some(Self::Deleted),
            _ => None,
        }
    }
}
